Fetches a plugin binary identified by the UUID.
cURL
curl --request GET \ --url https://api.endorlabs.com/v1/plugin-binaries/{uuid}
{ "meta": { "name": "<string>", "annotations": {}, "create_time": "2023-11-07T05:31:56Z", "created_by": "<string>", "description": "<string>", "index_data": { "data": [ "<string>" ], "search_score": 123, "tenant": "<string>", "will_be_deleted_at": "2023-11-07T05:31:56Z" }, "kind": "<string>", "parent_kind": "<string>", "parent_uuid": "<string>", "references": {}, "tags": [ "<string>" ], "update_time": "2023-11-07T05:31:56Z", "updated_by": "<string>", "upsert_time": "2023-11-07T05:31:56Z", "version": "<string>" }, "spec": { "arch_type": "ARCH_TYPE_UNSPECIFIED", "binary_type": "BINARY_TYPE_UNSPECIFIED", "checksum": "<string>", "compatibility_matrix": {}, "published_date": "2023-11-07T05:31:56Z", "unsupported": true, "url": "<string>", "version": "<string>" }, "uuid": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.endorlabs.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt
Use this file to discover all available pages before exploring further.
The UUID of the requested resource.
A successful response.
Common fields for all Endor Labs resources.
Show child attributes
The UUID of the plugin binary.
Was this page helpful?